source: squid-ssl/trunk/fuentes/helpers/external_acl/wbinfo_group/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 2 years ago

Initial release

File size: 36.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94@ENABLE_POD2MAN_DOC_TRUE@am__append_2 = ext_wbinfo_group_acl.8
95@ENABLE_POD2MAN_DOC_TRUE@am__append_3 = ext_wbinfo_group_acl.8
96subdir = helpers/external_acl/wbinfo_group
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
164am__vpath_adj = case $$p in \
165    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
166    *) f=$$p;; \
167  esac;
168am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
169am__install_max = 40
170am__nobase_strip_setup = \
171  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
172am__nobase_strip = \
173  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
174am__nobase_list = $(am__nobase_strip_setup); \
175  for p in $$list; do echo "$$p $$p"; done | \
176  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
177  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
178    if (++n[$$2] == $(am__install_max)) \
179      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
180    END { for (dir in files) print dir, files[dir] }'
181am__base_list = \
182  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
183  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
184am__uninstall_files_from_dir = { \
185  test -z "$$files" \
186    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
187    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
188         $(am__cd) "$$dir" && rm -f $$files; }; \
189  }
190am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
191SCRIPTS = $(libexec_SCRIPTS)
192AM_V_P = $(am__v_P_@AM_V@)
193am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
194am__v_P_0 = false
195am__v_P_1 = :
196AM_V_GEN = $(am__v_GEN_@AM_V@)
197am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
198am__v_GEN_0 = @echo "  GEN     " $@;
199am__v_GEN_1 =
200AM_V_at = $(am__v_at_@AM_V@)
201am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
202am__v_at_0 = @
203am__v_at_1 =
204SOURCES =
205DIST_SOURCES =
206am__can_run_installinfo = \
207  case $$AM_UPDATE_INFO_DIR in \
208    n|no|NO) false;; \
209    *) (install-info --version) >/dev/null 2>&1;; \
210  esac
211man8dir = $(mandir)/man8
212NROFF = nroff
213MANS = $(man_MANS)
214am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
215am__tty_colors_dummy = \
216  mgn= red= grn= lgn= blu= brg= std=; \
217  am__color_tests=no
218am__tty_colors = { \
219  $(am__tty_colors_dummy); \
220  if test "X$(AM_COLOR_TESTS)" = Xno; then \
221    am__color_tests=no; \
222  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
223    am__color_tests=yes; \
224  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
225    am__color_tests=yes; \
226  fi; \
227  if test $$am__color_tests = yes; then \
228    red='[0;31m'; \
229    grn='[0;32m'; \
230    lgn='[1;32m'; \
231    blu='[1;34m'; \
232    mgn='[0;35m'; \
233    brg='[1m'; \
234    std='[m'; \
235  fi; \
236}
237am__recheck_rx = ^[     ]*:recheck:[    ]*
238am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
239am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
240# A command that, given a newline-separated list of test names on the
241# standard input, print the name of the tests that are to be re-run
242# upon "make recheck".
243am__list_recheck_tests = $(AWK) '{ \
244  recheck = 1; \
245  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
246    { \
247      if (rc < 0) \
248        { \
249          if ((getline line2 < ($$0 ".log")) < 0) \
250            recheck = 0; \
251          break; \
252        } \
253      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
254        { \
255          recheck = 0; \
256          break; \
257        } \
258      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
259        { \
260          break; \
261        } \
262    }; \
263  if (recheck) \
264    print $$0; \
265  close ($$0 ".trs"); \
266  close ($$0 ".log"); \
267}'
268# A command that, given a newline-separated list of test names on the
269# standard input, create the global log from their .trs and .log files.
270am__create_global_log = $(AWK) ' \
271function fatal(msg) \
272{ \
273  print "fatal: making $@: " msg | "cat >&2"; \
274  exit 1; \
275} \
276function rst_section(header) \
277{ \
278  print header; \
279  len = length(header); \
280  for (i = 1; i <= len; i = i + 1) \
281    printf "="; \
282  printf "\n\n"; \
283} \
284{ \
285  copy_in_global_log = 1; \
286  global_test_result = "RUN"; \
287  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
288    { \
289      if (rc < 0) \
290         fatal("failed to read from " $$0 ".trs"); \
291      if (line ~ /$(am__global_test_result_rx)/) \
292        { \
293          sub("$(am__global_test_result_rx)", "", line); \
294          sub("[        ]*$$", "", line); \
295          global_test_result = line; \
296        } \
297      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
298        copy_in_global_log = 0; \
299    }; \
300  if (copy_in_global_log) \
301    { \
302      rst_section(global_test_result ": " $$0); \
303      while ((rc = (getline line < ($$0 ".log"))) != 0) \
304      { \
305        if (rc < 0) \
306          fatal("failed to read from " $$0 ".log"); \
307        print line; \
308      }; \
309      printf "\n"; \
310    }; \
311  close ($$0 ".trs"); \
312  close ($$0 ".log"); \
313}'
314# Restructured Text title.
315am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
316# Solaris 10 'make', and several other traditional 'make' implementations,
317# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
318# by disabling -e (using the XSI extension "set +e") if it's set.
319am__sh_e_setup = case $$- in *e*) set +e;; esac
320# Default flags passed to test drivers.
321am__common_driver_flags = \
322  --color-tests "$$am__color_tests" \
323  --enable-hard-errors "$$am__enable_hard_errors" \
324  --expect-failure "$$am__expect_failure"
325# To be inserted before the command running the test.  Creates the
326# directory for the log if needed.  Stores in $dir the directory
327# containing $f, in $tst the test, in $log the log.  Executes the
328# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
329# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
330# will run the test scripts (or their associated LOG_COMPILER, if
331# thy have one).
332am__check_pre = \
333$(am__sh_e_setup);                                      \
334$(am__vpath_adj_setup) $(am__vpath_adj)                 \
335$(am__tty_colors);                                      \
336srcdir=$(srcdir); export srcdir;                        \
337case "$@" in                                            \
338  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
339    *) am__odir=.;;                                     \
340esac;                                                   \
341test "x$$am__odir" = x"." || test -d "$$am__odir"       \
342  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
343if test -f "./$$f"; then dir=./;                        \
344elif test -f "$$f"; then dir=;                          \
345else dir="$(srcdir)/"; fi;                              \
346tst=$$dir$$f; log='$@';                                 \
347if test -n '$(DISABLE_HARD_ERRORS)'; then               \
348  am__enable_hard_errors=no;                            \
349else                                                    \
350  am__enable_hard_errors=yes;                           \
351fi;                                                     \
352case " $(XFAIL_TESTS) " in                              \
353  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
354    am__expect_failure=yes;;                            \
355  *)                                                    \
356    am__expect_failure=no;;                             \
357esac;                                                   \
358$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
359# A shell command to get the names of the tests scripts with any registered
360# extension removed (i.e., equivalently, the names of the test logs, with
361# the '.log' extension removed).  The result is saved in the shell variable
362# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
363# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
364# since that might cause problem with VPATH rewrites for suffix-less tests.
365# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
366am__set_TESTS_bases = \
367  bases='$(TEST_LOGS)'; \
368  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
369  bases=`echo $$bases`
370RECHECK_LOGS = $(TEST_LOGS)
371AM_RECURSIVE_TARGETS = check recheck
372TEST_SUITE_LOG = test-suite.log
373TEST_EXTENSIONS = @EXEEXT@ .test
374am__test_logs1 = $(TESTS:=.log)
375am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
376TEST_LOGS = $(am__test_logs2:.test.log=.log)
377TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
378TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
379        $(TEST_LOG_FLAGS)
380am__set_b = \
381  case '$@' in \
382    */*) \
383      case '$*' in \
384        */*) b='$*';; \
385          *) b=`echo '$@' | sed 's/\.log$$//'`; \
386       esac;; \
387    *) \
388      b='$*';; \
389  esac
390am__DIST_COMMON = $(srcdir)/Makefile.in \
391        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
392DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
393ACLOCAL = @ACLOCAL@
394ADAPTATION_LIBS = @ADAPTATION_LIBS@
395ALLOCA = @ALLOCA@
396AMTAR = @AMTAR@
397AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
398AR = @AR@
399AR_R = @AR_R@
400AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
401AUTH_MODULES = @AUTH_MODULES@
402AUTOCONF = @AUTOCONF@
403AUTOHEADER = @AUTOHEADER@
404AUTOMAKE = @AUTOMAKE@
405AWK = @AWK@
406BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
407BUILDCXX = @BUILDCXX@
408BUILDCXXFLAGS = @BUILDCXXFLAGS@
409BZR = @BZR@
410CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
411CC = @CC@
412CCDEPMODE = @CCDEPMODE@
413CFLAGS = @CFLAGS@
414CGIEXT = @CGIEXT@
415CHMOD = @CHMOD@
416CPP = @CPP@
417CPPFLAGS = @CPPFLAGS@
418CPPUNITCONFIG = @CPPUNITCONFIG@
419CRYPTLIB = @CRYPTLIB@
420CXX = @CXX@
421CXXCPP = @CXXCPP@
422CXXDEPMODE = @CXXDEPMODE@
423CXXFLAGS = @CXXFLAGS@
424CYGPATH_W = @CYGPATH_W@
425DEFAULT_HOSTS = @DEFAULT_HOSTS@
426DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
427DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
428DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
429DEFS = @DEFS@
430DEPDIR = @DEPDIR@
431DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
432DISK_LIBS = @DISK_LIBS@
433DISK_LINKOBJS = @DISK_LINKOBJS@
434DISK_MODULES = @DISK_MODULES@
435DISK_OS_LIBS = @DISK_OS_LIBS@
436DISK_PROGRAMS = @DISK_PROGRAMS@
437DLLTOOL = @DLLTOOL@
438DSYMUTIL = @DSYMUTIL@
439DUMPBIN = @DUMPBIN@
440ECAP_LIBS = @ECAP_LIBS@
441ECHO_C = @ECHO_C@
442ECHO_N = @ECHO_N@
443ECHO_T = @ECHO_T@
444EGREP = @EGREP@
445EPOLL_LIBS = @EPOLL_LIBS@
446EUILIB = @EUILIB@
447EXEEXT = @EXEEXT@
448EXPATLIB = @EXPATLIB@
449EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
450EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
451EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
452FALSE = @FALSE@
453FGREP = @FGREP@
454GREP = @GREP@
455HAVE_CXX11 = @HAVE_CXX11@
456ICAP_LIBS = @ICAP_LIBS@
457INCLTDL = @INCLTDL@
458INSTALL = @INSTALL@
459INSTALL_DATA = @INSTALL_DATA@
460INSTALL_PROGRAM = @INSTALL_PROGRAM@
461INSTALL_SCRIPT = @INSTALL_SCRIPT@
462INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
463KRB5INCS = @KRB5INCS@
464KRB5LIBS = @KRB5LIBS@
465LBERLIB = @LBERLIB@
466LD = @LD@
467LDAPLIB = @LDAPLIB@
468LDFLAGS = @LDFLAGS@
469LIBADD_DL = @LIBADD_DL@
470LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
471LIBADD_DLOPEN = @LIBADD_DLOPEN@
472LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
473LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
474LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
475LIBLTDL = @LIBLTDL@
476LIBOBJS = @LIBOBJS@
477LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
478LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
479LIBS = @LIBS@
480LIBSASL = @LIBSASL@
481LIBTOOL = @LIBTOOL@
482LIB_DB = @LIB_DB@
483LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
484LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
485LINUXDOC = @LINUXDOC@
486LIPO = @LIPO@
487LN = @LN@
488LN_S = @LN_S@
489LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
490LTDLDEPS = @LTDLDEPS@
491LTDLINCL = @LTDLINCL@
492LTDLOPEN = @LTDLOPEN@
493LTLIBOBJS = @LTLIBOBJS@
494LT_ARGZ_H = @LT_ARGZ_H@
495LT_CONFIG_H = @LT_CONFIG_H@
496LT_DLLOADERS = @LT_DLLOADERS@
497LT_DLPREOPEN = @LT_DLPREOPEN@
498LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
499MAINT = @MAINT@
500MAKEINFO = @MAKEINFO@
501MANIFEST_TOOL = @MANIFEST_TOOL@
502MINGW_LIBS = @MINGW_LIBS@
503MKDIR = @MKDIR@
504MKDIR_P = @MKDIR_P@
505MV = @MV@
506NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
507NETTLELIB = @NETTLELIB@
508NM = @NM@
509NMEDIT = @NMEDIT@
510NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
511OBJDUMP = @OBJDUMP@
512OBJEXT = @OBJEXT@
513OTOOL = @OTOOL@
514OTOOL64 = @OTOOL64@
515PACKAGE = @PACKAGE@
516PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
517PACKAGE_NAME = @PACKAGE_NAME@
518PACKAGE_STRING = @PACKAGE_STRING@
519PACKAGE_TARNAME = @PACKAGE_TARNAME@
520PACKAGE_URL = @PACKAGE_URL@
521PACKAGE_VERSION = @PACKAGE_VERSION@
522PATH_SEPARATOR = @PATH_SEPARATOR@
523PERL = @PERL@
524PKG_CONFIG = @PKG_CONFIG@
525PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
526PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
527PO2HTML = @PO2HTML@
528PO2TEXT = @PO2TEXT@
529POD2MAN = @POD2MAN@
530RANLIB = @RANLIB@
531REGEXLIB = @REGEXLIB@
532REPL_LIBS = @REPL_LIBS@
533REPL_OBJS = @REPL_OBJS@
534REPL_POLICIES = @REPL_POLICIES@
535RM = @RM@
536SED = @SED@
537SET_MAKE = @SET_MAKE@
538SH = @SH@
539SHELL = @SHELL@
540SMBCLIENT = @SMBCLIENT@
541SNMPLIB = @SNMPLIB@
542SQUID_CFLAGS = @SQUID_CFLAGS@
543SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
544SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
545SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
546SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
547SSLLIB = @SSLLIB@
548STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
549STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
550STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
551STORE_TESTS = @STORE_TESTS@
552STRIP = @STRIP@
553TR = @TR@
554TRUE = @TRUE@
555URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
556VERSION = @VERSION@
557WBINFO = @WBINFO@
558WIN32_PSAPI = @WIN32_PSAPI@
559XMLLIB = @XMLLIB@
560XTRA_LIBS = @XTRA_LIBS@
561XTRA_OBJS = @XTRA_OBJS@
562abs_builddir = @abs_builddir@
563abs_srcdir = @abs_srcdir@
564abs_top_builddir = @abs_top_builddir@
565abs_top_srcdir = @abs_top_srcdir@
566ac_ct_AR = @ac_ct_AR@
567ac_ct_CC = @ac_ct_CC@
568ac_ct_CXX = @ac_ct_CXX@
569ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
570am__include = @am__include@
571am__leading_dot = @am__leading_dot@
572am__quote = @am__quote@
573am__tar = @am__tar@
574am__untar = @am__untar@
575bindir = @bindir@
576build = @build@
577build_alias = @build_alias@
578build_cpu = @build_cpu@
579build_os = @build_os@
580build_vendor = @build_vendor@
581builddir = @builddir@
582datadir = @datadir@
583datarootdir = @datarootdir@
584docdir = @docdir@
585dvidir = @dvidir@
586exec_prefix = @exec_prefix@
587host = @host@
588host_alias = @host_alias@
589host_cpu = @host_cpu@
590host_os = @host_os@
591host_vendor = @host_vendor@
592htmldir = @htmldir@
593includedir = @includedir@
594infodir = @infodir@
595install_sh = @install_sh@
596krb5_config = @krb5_config@
597libdir = @libdir@
598libexecdir = @libexecdir@
599localedir = @localedir@
600localstatedir = @localstatedir@
601ltdl_LIBOBJS = @ltdl_LIBOBJS@
602ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
603mandir = @mandir@
604mkdir_p = @mkdir_p@
605oldincludedir = @oldincludedir@
606pdfdir = @pdfdir@
607prefix = @prefix@
608program_transform_name = @program_transform_name@
609psdir = @psdir@
610runstatedir = @runstatedir@
611sbindir = @sbindir@
612sharedstatedir = @sharedstatedir@
613srcdir = @srcdir@
614subdirs = @subdirs@
615sys_symbol_underscore = @sys_symbol_underscore@
616sysconfdir = @sysconfdir@
617target_alias = @target_alias@
618top_build_prefix = @top_build_prefix@
619top_builddir = @top_builddir@
620top_srcdir = @top_srcdir@
621AM_CFLAGS = $(SQUID_CFLAGS)
622AM_CXXFLAGS = $(SQUID_CXXFLAGS)
623CLEANFILES = ext_wbinfo_group_acl $(am__append_2)
624AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
625        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
626        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
627        $(am__append_1)
628@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
629@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
630COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
631subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
632libexec_SCRIPTS = ext_wbinfo_group_acl
633EXTRA_DIST = ext_wbinfo_group_acl.pl.in required.m4 $(am__append_3)
634@ENABLE_POD2MAN_DOC_TRUE@man_MANS = ext_wbinfo_group_acl.8
635all: all-am
636
637.SUFFIXES:
638.SUFFIXES: .log .test .test$(EXEEXT) .trs
639$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
640        @for dep in $?; do \
641          case '$(am__configure_deps)' in \
642            *$$dep*) \
643              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
644                && { if test -f $@; then exit 0; else break; fi; }; \
645              exit 1;; \
646          esac; \
647        done; \
648        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/external_acl/wbinfo_group/Makefile'; \
649        $(am__cd) $(top_srcdir) && \
650          $(AUTOMAKE) --gnu helpers/external_acl/wbinfo_group/Makefile
651Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
652        @case '$?' in \
653          *config.status*) \
654            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
655          *) \
656            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
657            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
658        esac;
659$(top_srcdir)/src/Common.am $(am__empty):
660
661$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
662        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
663
664$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
665        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
666$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
667        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
668$(am__aclocal_m4_deps):
669
670clean-checkPROGRAMS:
671        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
672        echo " rm -f" $$list; \
673        rm -f $$list || exit $$?; \
674        test -n "$(EXEEXT)" || exit 0; \
675        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
676        echo " rm -f" $$list; \
677        rm -f $$list
678install-libexecSCRIPTS: $(libexec_SCRIPTS)
679        @$(NORMAL_INSTALL)
680        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
681        if test -n "$$list"; then \
682          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
683          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
684        fi; \
685        for p in $$list; do \
686          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
687          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
688        done | \
689        sed -e 'p;s,.*/,,;n' \
690            -e 'h;s|.*|.|' \
691            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
692        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
693          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
694            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
695              if (++n[d] == $(am__install_max)) { \
696                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
697            else { print "f", d "/" $$4, $$1 } } \
698          END { for (d in files) print "f", d, files[d] }' | \
699        while read type dir files; do \
700             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
701             test -z "$$files" || { \
702               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
703               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
704             } \
705        ; done
706
707uninstall-libexecSCRIPTS:
708        @$(NORMAL_UNINSTALL)
709        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
710        files=`for p in $$list; do echo "$$p"; done | \
711               sed -e 's,.*/,,;$(transform)'`; \
712        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
713
714mostlyclean-libtool:
715        -rm -f *.lo
716
717clean-libtool:
718        -rm -rf .libs _libs
719install-man8: $(man_MANS)
720        @$(NORMAL_INSTALL)
721        @list1=''; \
722        list2='$(man_MANS)'; \
723        test -n "$(man8dir)" \
724          && test -n "`echo $$list1$$list2`" \
725          || exit 0; \
726        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
727        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
728        { for i in $$list1; do echo "$$i"; done;  \
729        if test -n "$$list2"; then \
730          for i in $$list2; do echo "$$i"; done \
731            | sed -n '/\.8[a-z]*$$/p'; \
732        fi; \
733        } | while read p; do \
734          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
735          echo "$$d$$p"; echo "$$p"; \
736        done | \
737        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
738              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
739        sed 'N;N;s,\n, ,g' | { \
740        list=; while read file base inst; do \
741          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
742            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
743            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
744          fi; \
745        done; \
746        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
747        while read files; do \
748          test -z "$$files" || { \
749            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
750            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
751        done; }
752
753uninstall-man8:
754        @$(NORMAL_UNINSTALL)
755        @list=''; test -n "$(man8dir)" || exit 0; \
756        files=`{ for i in $$list; do echo "$$i"; done; \
757        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
758          sed -n '/\.8[a-z]*$$/p'; \
759        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
760              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
761        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
762tags TAGS:
763
764ctags CTAGS:
765
766cscope cscopelist:
767
768
769# Recover from deleted '.trs' file; this should ensure that
770# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
771# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
772# to avoid problems with "make -n".
773.log.trs:
774        rm -f $< $@
775        $(MAKE) $(AM_MAKEFLAGS) $<
776
777# Leading 'am--fnord' is there to ensure the list of targets does not
778# expand to empty, as could happen e.g. with make check TESTS=''.
779am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
780am--force-recheck:
781        @:
782
783$(TEST_SUITE_LOG): $(TEST_LOGS)
784        @$(am__set_TESTS_bases); \
785        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
786        redo_bases=`for i in $$bases; do \
787                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
788                    done`; \
789        if test -n "$$redo_bases"; then \
790          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
791          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
792          if $(am__make_dryrun); then :; else \
793            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
794          fi; \
795        fi; \
796        if test -n "$$am__remaking_logs"; then \
797          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
798               "recursion detected" >&2; \
799        elif test -n "$$redo_logs"; then \
800          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
801        fi; \
802        if $(am__make_dryrun); then :; else \
803          st=0;  \
804          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
805          for i in $$redo_bases; do \
806            test -f $$i.trs && test -r $$i.trs \
807              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
808            test -f $$i.log && test -r $$i.log \
809              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
810          done; \
811          test $$st -eq 0 || exit 1; \
812        fi
813        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
814        ws='[   ]'; \
815        results=`for b in $$bases; do echo $$b.trs; done`; \
816        test -n "$$results" || results=/dev/null; \
817        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
818        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
819        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
820        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
821        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
822        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
823        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
824        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
825          success=true; \
826        else \
827          success=false; \
828        fi; \
829        br='==================='; br=$$br$$br$$br$$br; \
830        result_count () \
831        { \
832            if test x"$$1" = x"--maybe-color"; then \
833              maybe_colorize=yes; \
834            elif test x"$$1" = x"--no-color"; then \
835              maybe_colorize=no; \
836            else \
837              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
838            fi; \
839            shift; \
840            desc=$$1 count=$$2; \
841            if test $$maybe_colorize = yes && test $$count -gt 0; then \
842              color_start=$$3 color_end=$$std; \
843            else \
844              color_start= color_end=; \
845            fi; \
846            echo "$${color_start}# $$desc $$count$${color_end}"; \
847        }; \
848        create_testsuite_report () \
849        { \
850          result_count $$1 "TOTAL:" $$all   "$$brg"; \
851          result_count $$1 "PASS: " $$pass  "$$grn"; \
852          result_count $$1 "SKIP: " $$skip  "$$blu"; \
853          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
854          result_count $$1 "FAIL: " $$fail  "$$red"; \
855          result_count $$1 "XPASS:" $$xpass "$$red"; \
856          result_count $$1 "ERROR:" $$error "$$mgn"; \
857        }; \
858        {                                                               \
859          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
860            $(am__rst_title);                                           \
861          create_testsuite_report --no-color;                           \
862          echo;                                                         \
863          echo ".. contents:: :depth: 2";                               \
864          echo;                                                         \
865          for b in $$bases; do echo $$b; done                           \
866            | $(am__create_global_log);                                 \
867        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
868        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
869        if $$success; then                                              \
870          col="$$grn";                                                  \
871         else                                                           \
872          col="$$red";                                                  \
873          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
874        fi;                                                             \
875        echo "$${col}$$br$${std}";                                      \
876        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
877        echo "$${col}$$br$${std}";                                      \
878        create_testsuite_report --maybe-color;                          \
879        echo "$$col$$br$$std";                                          \
880        if $$success; then :; else                                      \
881          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
882          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
883            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
884          fi;                                                           \
885          echo "$$col$$br$$std";                                        \
886        fi;                                                             \
887        $$success || exit 1
888
889check-TESTS:
890        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
891        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
892        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
893        @set +e; $(am__set_TESTS_bases); \
894        log_list=`for i in $$bases; do echo $$i.log; done`; \
895        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
896        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
897        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
898        exit $$?;
899recheck: all $(check_PROGRAMS)
900        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
901        @set +e; $(am__set_TESTS_bases); \
902        bases=`for i in $$bases; do echo $$i; done \
903                 | $(am__list_recheck_tests)` || exit 1; \
904        log_list=`for i in $$bases; do echo $$i.log; done`; \
905        log_list=`echo $$log_list`; \
906        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
907                am__force_recheck=am--force-recheck \
908                TEST_LOGS="$$log_list"; \
909        exit $$?
910.test.log:
911        @p='$<'; \
912        $(am__set_b); \
913        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
914        --log-file $$b.log --trs-file $$b.trs \
915        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
916        "$$tst" $(AM_TESTS_FD_REDIRECT)
917@am__EXEEXT_TRUE@.test$(EXEEXT).log:
918@am__EXEEXT_TRUE@       @p='$<'; \
919@am__EXEEXT_TRUE@       $(am__set_b); \
920@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
921@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
922@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
923@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
924
925distdir: $(DISTFILES)
926        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
927        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
928        list='$(DISTFILES)'; \
929          dist_files=`for file in $$list; do echo $$file; done | \
930          sed -e "s|^$$srcdirstrip/||;t" \
931              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
932        case $$dist_files in \
933          */*) $(MKDIR_P) `echo "$$dist_files" | \
934                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
935                           sort -u` ;; \
936        esac; \
937        for file in $$dist_files; do \
938          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
939          if test -d $$d/$$file; then \
940            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
941            if test -d "$(distdir)/$$file"; then \
942              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
943            fi; \
944            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
945              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
946              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
947            fi; \
948            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
949          else \
950            test -f "$(distdir)/$$file" \
951            || cp -p $$d/$$file "$(distdir)/$$file" \
952            || exit 1; \
953          fi; \
954        done
955check-am: all-am
956        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
957        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
958check: check-am
959all-am: Makefile $(SCRIPTS) $(MANS)
960installdirs:
961        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
962          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
963        done
964install: install-am
965install-exec: install-exec-am
966install-data: install-data-am
967uninstall: uninstall-am
968
969install-am: all-am
970        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
971
972installcheck: installcheck-am
973install-strip:
974        if test -z '$(STRIP)'; then \
975          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
976            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
977              install; \
978        else \
979          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
980            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
981            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
982        fi
983mostlyclean-generic:
984        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
985        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
986        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
987
988clean-generic:
989        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
990
991distclean-generic:
992        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
993        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
994
995maintainer-clean-generic:
996        @echo "This command is intended for maintainers to use"
997        @echo "it deletes files that may require special tools to rebuild."
998clean: clean-am
999
1000clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1001        mostlyclean-am
1002
1003distclean: distclean-am
1004        -rm -f Makefile
1005distclean-am: clean-am distclean-generic
1006
1007dvi: dvi-am
1008
1009dvi-am:
1010
1011html: html-am
1012
1013html-am:
1014
1015info: info-am
1016
1017info-am:
1018
1019install-data-am: install-man
1020
1021install-dvi: install-dvi-am
1022
1023install-dvi-am:
1024
1025install-exec-am: install-libexecSCRIPTS
1026
1027install-html: install-html-am
1028
1029install-html-am:
1030
1031install-info: install-info-am
1032
1033install-info-am:
1034
1035install-man: install-man8
1036
1037install-pdf: install-pdf-am
1038
1039install-pdf-am:
1040
1041install-ps: install-ps-am
1042
1043install-ps-am:
1044
1045installcheck-am:
1046
1047maintainer-clean: maintainer-clean-am
1048        -rm -f Makefile
1049maintainer-clean-am: distclean-am maintainer-clean-generic
1050
1051mostlyclean: mostlyclean-am
1052
1053mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1054
1055pdf: pdf-am
1056
1057pdf-am:
1058
1059ps: ps-am
1060
1061ps-am:
1062
1063uninstall-am: uninstall-libexecSCRIPTS uninstall-man
1064
1065uninstall-man: uninstall-man8
1066
1067.MAKE: check-am install-am install-strip
1068
1069.PHONY: all all-am check check-TESTS check-am clean \
1070        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1071        ctags-am distclean distclean-generic distclean-libtool distdir \
1072        dvi dvi-am html html-am info info-am install install-am \
1073        install-data install-data-am install-dvi install-dvi-am \
1074        install-exec install-exec-am install-html install-html-am \
1075        install-info install-info-am install-libexecSCRIPTS \
1076        install-man install-man8 install-pdf install-pdf-am install-ps \
1077        install-ps-am install-strip installcheck installcheck-am \
1078        installdirs maintainer-clean maintainer-clean-generic \
1079        mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
1080        ps ps-am recheck tags-am uninstall uninstall-am \
1081        uninstall-libexecSCRIPTS uninstall-man uninstall-man8
1082
1083.PRECIOUS: Makefile
1084
1085
1086$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1087
1088ext_wbinfo_group_acl: ext_wbinfo_group_acl.pl.in
1089        $(subst_perlshell)
1090
1091@ENABLE_POD2MAN_DOC_TRUE@ext_wbinfo_group_acl.8: ext_wbinfo_group_acl
1092@ENABLE_POD2MAN_DOC_TRUE@       pod2man --section=8 ext_wbinfo_group_acl ext_wbinfo_group_acl.8
1093
1094# Tell versions [3.59,3.63) of GNU make to not export all variables.
1095# Otherwise a system limit (for SysV at least) may be exceeded.
1096.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.